*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: Arial, Helvetica, sans-serif;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    background: linear-gradient(135deg,#667eea,#764ba2);
}
.quiz-container{
    background: white;
    width: 100%;
    max-width: 700px;
    padding: 40px;
    border-radius: 20px;
    box-shadow: none ;
    text-align: center;
}
h1{
    font-size: 2.5rem;
    color: purple;
    margin-bottom: 15px;
}
#start-btn {
    background: #2575fc;
    color: white;
    border: none;
    padding: 15px 35px;
    font-size: 18px;
    font-weight: bold;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.3s ease;
}

#start-btn:hover {
    background: #1d5ed8;
    transform: translateY(-3px);
}
#question-number {
    display: inline-block;
    background: #2575fc;
    color: white;
    font-size: 0.95rem;
    font-weight: bold;
    padding: 8px 16px;
    border-radius: 8px;
    margin-bottom: 20px;
    float: left;
    box-shadow: 0 4px 12px rgba(37, 117, 252, 0.3);
}
#question{
    font-size: 1.5rem;
    color: #333;
    margin-bottom: 30px;
    line-height: 1.5;
}
.btn {
    display: block;
    width: 100%;
    padding: 15px 20px;
    margin-bottom: 15px;
    border: none;
    border-radius: 10px;
    background: pink;
    color: #333;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease;
}
.btn:hover{
    transform: translateY(-3px);
}
#next-btn {
    color: white;
    background: #2575fc;
    font-weight: bold;
    padding: 12px 30px;
    border: none;
    border-radius: 10px;
    display: none;
    cursor: pointer;
}
#result{
    font-size: large;
    font-weight: bold;
   color: #2575fc;
    margin-top: 15px;
}
.hidden{
    display:none;
}
.correct{
    background: green;
    color: white;
}
.wrong{
    background: red;
    color: white;
}
footer {
    position: fixed;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    color: white;
    font-size: 14px;
    font-weight: 500;
    opacity: 0.9;
    letter-spacing: 0.5px;
}